Bug 79307 - Should remove RuntimeEnabledFeatures::multipleShadowSubtreesEnabled
Summary: Should remove RuntimeEnabledFeatures::multipleShadowSubtreesEnabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords:
Depends on:
Blocks: 77499
  Show dependency treegraph
 
Reported: 2012-02-22 17:03 PST by Hajime Morrita
Modified: 2012-03-18 23:17 PDT (History)
6 users (show)

See Also:


Attachments
Patch (16.54 KB, patch)
2012-03-16 06:29 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch Candidate for landing (16.63 KB, patch)
2012-03-18 20:39 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2012-02-22 17:03:41 PST
Once it's ready, we should remove this tentative flag.
Comment 1 Shinya Kawanaka 2012-03-16 05:12:08 PDT
It's time to remove this flag.
Comment 2 Shinya Kawanaka 2012-03-16 06:29:53 PDT
Created attachment 132268 [details]
Patch
Comment 3 Dimitri Glazkov (Google) 2012-03-16 07:53:36 PDT
Comment on attachment 132268 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132268&action=review

Weee!!!

> LayoutTests/fast/dom/shadow/shadow-root-js-api.html:60
> +var youngerShadowRoot = new WebKitShadowRoot(shadowHost);

Will this break the ports with shadow dom disabled?
Comment 4 Shinya Kawanaka 2012-03-18 20:35:31 PDT
(In reply to comment #3)
> (From update of attachment 132268 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=132268&action=review
> 
> Weee!!!
> 
> > LayoutTests/fast/dom/shadow/shadow-root-js-api.html:60
> > +var youngerShadowRoot = new WebKitShadowRoot(shadowHost);
> 
> Will this break the ports with shadow dom disabled?

It should not...
Comment 5 Shinya Kawanaka 2012-03-18 20:39:35 PDT
Created attachment 132535 [details]
Patch Candidate for landing
Comment 6 Shinya Kawanaka 2012-03-18 20:50:31 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > (From update of attachment 132268 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=132268&action=review
> > 
> > Weee!!!
> > 
> > > LayoutTests/fast/dom/shadow/shadow-root-js-api.html:60
> > > +var youngerShadowRoot = new WebKitShadowRoot(shadowHost);
> > 
> > Will this break the ports with shadow dom disabled?
> 
> It should not...

shadow-root-js-api.html is in Skipped list in all ports except chromium now, so it should be OK.
Comment 7 Shinya Kawanaka 2012-03-18 23:17:07 PDT
Committed r111155: <http://trac.webkit.org/changeset/111155>